FROM php:7.3-apache
MAINTAINER Tomasz Wieleba

ARG apache_user_uid

# Install elements to OS
RUN apt-get update && apt-get install -y curl git libzip-dev

# Install elements to PHP
RUN docker-php-ext-install pdo_mysql mysqli zip

# Configure apache
RUN a2enmod rewrite

# Composer install
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer

# Add user
RUN useradd -m -s /bin/bash -u $apache_user_uid developer